# Remote Building and Publishing

Inside the `Remote Build`, there are some important functions such as:

* **Building application**: Choose a specific platform (among Android,

  iOS and Windows) to build.
* **Building configuration**: Configure the necessary information regarding

  the application and build for each platform.
* **Project dependencies**: Include the necessary dependencies

  ([Cordova plugins](/products_guide/monaca_cli/dependencies/cordova_plugin.md), [JS/CSS Components](/products_guide/monaca_cli/dependencies/components.md) and [Service Integration](/reference/service_integration.md)) used by the project.

At this point, we assume that you have successfully developed a complete application. Then, you can try building your app and installing it on your device. Once the app development and testing are completed, your app is ready for the market submission. Before releasing or distributing your app into the markets (App Store, Google Play, ...), you will need to create a release build of your app.

Please refer to the following documentation on how to build and distribute your app according to each platform:

* [Building Monaca Apps](/tutorials/monaca_cli/building_app.md)
* [Publishing Monaca Apps](/tutorials/monaca_cli/publishing_app.md)

See Also:

* [Monaca CLI Tutorial](/products_guide/monaca_cli/tutorial.md)
* [Monaca CLI Overview](/products_guide/monaca_cli/overview.md)
* [Project Dependencies](/products_guide/monaca_cli/dependencies.md)
* [Monaca CLI Commands](/products_guide/monaca_cli/cli_commands.md)
* [Pairing and Debugging](/products_guide/monaca_cli/pairing_debugging.md)
* [Troubleshooting Guide](/products_guide/monaca_cli/troubleshooting.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_cli/build_publish.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
